This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 736317 - (CVE-2011-3351) CVE-2011-3351 openvas-scanner: Insecure temporary file use by generation of an OVAL system characteristics document, when ovaldi support enabled
CVE-2011-3351 openvas-scanner: Insecure temporary file use by generation of a...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110904,reported=2...
: Security
Depends On: 736321 736322
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 08:08 EDT by Jan Lieskovsky
Modified: 2015-08-21 19:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 19:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-09-07 08:08:39 EDT
It was reported that the scanner module for the Open Vulnerability Assessment System (OpenVAS) used insecure way for creation of a temporary file, when generating OVAL system characteristics document from the knowledge base data available, with the ovaldi integrated tool enabled. A local attacker could use this flaw to conduct symlink attacks to overwrite arbitrary files on the system, accessible with the privileges of the user running the SLAD daemon and / or the ovaldi OVAL interpreter.

References:
[1] http://archives.neohapsis.com/archives/fulldisclosure/2011-09/0057.html
[2] http://secunia.com/advisories/45836/
Comment 1 Jan Lieskovsky 2011-09-07 08:15:08 EDT
This issue affects the versions of the openvas-scanner package, as shipped with Fedora release of 14 and 15. Please schedule an update (once final upstream patch known).

--

This issue affects the version of the openvas-scanner package, as present within EPEL-6 repository. Please schedule an update (once final upstream patch known).
Comment 2 Jan Lieskovsky 2011-09-07 08:16:32 EDT
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2011/09/07/4
Comment 3 Jan Lieskovsky 2011-09-07 08:17:45 EDT
Created openvas-scanner tracking bugs for this issue

Affects: epel-6 [bug 736321]
Affects: fedora-all [bug 736322]
Comment 4 Vincent Danen 2011-09-09 19:15:01 EDT
This was assigned the name CVE-2011-3351.

Note You need to log in before you can comment on or make changes to this bug.